Subject: Re: bug#50243: [core-updates-frozen] "multiple definition of..." build failures

From: Ludovic Courtès <[email-masked]>
Date: Sat, 04 Sep 2021 16:41:06 +0200

Hi Sarah,

Sarah Morgensen <[email-masked]> skribis:

> Gentoo's tracker for this issue [2] also has some more info.  I manually
> searched Cuirass build logs and found 28 packages failing on x86_64 with
> this error:
>
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
>
> I submitted an issue upstream for transmission-remote-gtk [3], but I
> haven't taken a look at the others.  Any takers?

Great that you built a list of affected packages.

I guess there are several options:

  1. Build with ‘-fcommon’, effectively restoring pre-GCC-10 behavior;

  2. Build with GCC 8.x or so, for example by adding it to
     ‘native-inputs’;

  3. Upgrade packages and hope for the best;

  4. Add the missing ‘extern’ keyword in declarations, assuming that
     really is the problem.

I suppose we’ll have to see on a case-by-cases basis which approach is
the easiest.  Since we have a list, let’s parallelize work and
synchronize on IRC and in this issue!

Thanks,
Ludo’.